Package com.sun.jna.platform.win32

## Interface DdemlUtil.MonitorHandler

Enclosing class:
  DdemlUtil

    public static interface DdemlUtil.MonitorHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onMonitor​(int transactionType, Ddeml.HDDEDATA hdata, int eventCode)` A Dynamic Data Exchange (DDE) debugger's DDE callback function, DdeCallback, receives the XTYP_MONITOR transaction whenever a DDE event occurs in the system.

### Method Detail

#### onMonitor

    void onMonitor​(int transactionType,
                   Ddeml.HDDEDATA hdata,
                   int eventCode)

A Dynamic Data Exchange (DDE) debugger's DDE callback function, DdeCallback, receives the XTYP_MONITOR transaction whenever a DDE event occurs in the system. To receive this transaction, an application must specify the APPCLASS_MONITOR value when it calls the DdeInitialize function.

Parameters:
  `transactionType` - uType - The transaction type.
  `hdata` - A handle to a DDE object that contains information about the DDE event. The application should use the DdeAccessData function to obtain a pointer to the object.
  `eventCode` - dwData2 - The DDE event. This parameter can be one of the following values:

  Value | Meaning
  --- | ---
  MF_CALLBACKS 0x08000000 | The system sent a transaction to a DDE callback function. The DDE object contains a MONCBSTRUCT structure that provides information about the transaction.
  MF_CONV 0x40000000 | A DDE conversation was established or terminated. The DDE object contains a MONCONVSTRUCT structure that provides information about the conversation.
  MF_ERRORS 0x10000000 | A DDE error occurred. The DDE object contains a MONERRSTRUCT structure that provides information about the error.
  MF_HSZ_INFO 0x01000000 | A DDE application created, freed, or incremented the usage count of a string handle, or a string handle was freed as a result of a call to the DdeUninitialize function. The DDE object contains a MONHSZSTRUCT structure that provides information about the string handle.
  MF_LINKS 0x20000000 | A DDE application started or stopped an advise loop. The DDE object contains a MONLINKSTRUCT structure that provides information about the advise loop.
  MF_POSTMSGS 0x04000000 | The system or an application posted a DDE message. The DDE object contains a MONMSGSTRUCT structure that provides information about the message.
  MF_SENDMSGS 0x02000000 | The system or an application sent a DDE message. The DDE object contains a MONMSGSTRUCT structure that provides information about the message.